Loading...
Searching...
No Matches
juce::FileDragAndDropTarget Class Referenceabstract

## Detailed Description

Components derived from this class can have files dropped onto them by an external application.

See also
  DragAndDropContainer

The documentation for this class was generated from the following file:

- juce_gui_basics/mouse/juce_FileDragAndDropTarget.h

Inheritance diagram for juce::FileDragAndDropTarget:

## Public Member Functions

virtual | ~FileDragAndDropTarget ()=default
| Destructor.
virtual bool | isInterestedInFileDrag (const StringArray &files)=0
| Callback to check whether this target is interested in the set of files being offered.
virtual void | fileDragEnter (const StringArray &files, int x, int y)
| Callback to indicate that some files are being dragged over this component.
virtual void | fileDragMove (const StringArray &files, int x, int y)
| Callback to indicate that the user is dragging some files over this component.
virtual void | fileDragExit (const StringArray &files)
| Callback to indicate that the mouse has moved away from this component.
virtual void | filesDropped (const StringArray &files, int x, int y)=0
| Callback to indicate that the user has dropped the files onto this component.

## Constructors and Destructors

## ~FileDragAndDropTarget()

virtual juce::FileDragAndDropTarget::~FileDragAndDropTarget | ( |  | ) |

virtual default

Destructor.

## Member Functions

## isInterestedInFileDrag()

virtual bool juce::FileDragAndDropTarget::isInterestedInFileDrag | ( | const StringArray & | files | ) |

pure virtual

Callback to check whether this target is interested in the set of files being offered.

Note that this will be called repeatedly when the user is dragging the mouse around over your component, so don't do anything time-consuming in here, like opening the files to have a look inside them!

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging

Returns
  true if this component wants to receive the other callbacks regarding this type of object; if it returns false, no other callbacks will be made.

Implemented in juce::FilenameComponent, juce::FileSearchPathListComponent, and juce::TreeView.

## fileDragEnter()

virtual void juce::FileDragAndDropTarget::fileDragEnter | ( | const StringArray & | files,
|  | int | x,
|  | int | y )

virtual

Callback to indicate that some files are being dragged over this component.

This gets called when the user moves the mouse into this component while dragging.

Use this callback as a trigger to make your component repaint itself to give the user feedback about whether the files can be dropped here or not.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Reimplemented in juce::FilenameComponent, and juce::TreeView.

References x, and y.

## fileDragMove()

virtual void juce::FileDragAndDropTarget::fileDragMove | ( | const StringArray & | files,
|  | int | x,
|  | int | y )

virtual

Callback to indicate that the user is dragging some files over this component.

This gets called when the user moves the mouse over this component while dragging. Normally overriding itemDragEnter() and itemDragExit() are enough, but this lets you know what happens in-between.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Reimplemented in juce::TreeView.

References x, and y.

## fileDragExit()

virtual void juce::FileDragAndDropTarget::fileDragExit | ( | const StringArray & | files | ) |

virtual

Callback to indicate that the mouse has moved away from this component.

This gets called when the user moves the mouse out of this component while dragging the files.

If you've used fileDragEnter() to repaint your component and give feedback, use this as a signal to repaint it in its normal state.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging

Reimplemented in juce::FilenameComponent, and juce::TreeView.

## filesDropped()

virtual void juce::FileDragAndDropTarget::filesDropped | ( | const StringArray & | files,
|  | int | x,
|  | int | y )

pure virtual

Callback to indicate that the user has dropped the files onto this component.

When the user drops the files, this gets called, and you can use the files in whatever way is appropriate.

Note that after this is called, the fileDragExit method may not be called, so you should clean up in here if there's anything you need to do when the drag finishes.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Implemented in juce::FilenameComponent, juce::FileSearchPathListComponent, and juce::TreeView.

References x, and y.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited